## liblo 0.26~repack

=== debian/changelog ===
liblo (0.26~repack-7) unstable; urgency=low

  * Update copyright file: Rewrite w/ Subversion draft rev.173 of DEP5.
  * Build-depend on doxygen-latex (not doxygen), and add note on maybe
    switching back again later when possible to verify difference.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Mar 2011 15:14:09 +0100

liblo (0.26~repack-6) experimental; urgency=low

  [ Felipe Sateler ]
  * Use regular spaces instead of hardspace in long descriptions.
    Closes: #575329

  [ Jonas Smedegaard ]
  * Drop local CDBS snippet: included in cdbs package now.
  * Ease building with git-buildpackage:
    + Git-ignore quilt .pc dir.
    Add dpkg-source local-options hints.
  * Rewrite copyright file using Bazaar draft rev. 137 of DEP5.
  * Adjust some copyright years.
  * Fix capitalization of project name to LibLO, and mention in long
    descriptions.
  * Bump standards-version to 3.9.1.
  * Update email address of Felipe in maintainer field.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Jan 2011 20:52:53 +0100

liblo (0.26~repack-5) unstable; urgency=low

  * Drop Robert Jordens as uploader.
    Closes: bug#573472 - thanks for your contributions, Robert!
  * Indent with single space (not tab or multiple spaces) continuated
    fields in control file, to follow Debian Policy §7.1 documented
    convention. Sort such multiline fields.
  * Fix use plain space in long descriptions.
    Closes: bug#575329, thanks to Rhonda.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 24 Mar 2010 23:52:20 +0100

liblo (0.26~repack-4) unstable; urgency=medium

  * Tighten and relax CDBS includes, to both use very newest features
    and be backports-friendly. Closes: bug#573131, thanks to Adam D.
    Barratt.
  * Shrink local package-relations.mk to only handle binary relations
    (build relations in main since cdbs 0.4.69).
  * Relax debhelper compat level to 6: Backports-friendly, and we need
    none of the newer features anyway.
  * Relax build-dependencies as a result of above changes:
    + Drop devscripts and dh-buildinfo (needed only in
      DEB_MAINTAINER_MODE).
    + Relax debhelper to at least version 6.
    + Relax cdbs to be unversioned.
  * Set urgency=medium to avoid above minor changes (should only affect
    package hints, not sources or compilation process) affecting the
    ongoing library transition too much.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 09 Mar 2010 10:56:27 +0100

liblo (0.26~repack-3) unstable; urgency=low

  * Rerelease targeted unstable.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Mar 2010 05:51:52 +0100

liblo (0.26~repack-2) experimental; urgency=low

  [ Reinhard Tartler ]
  * improved debian/copyright

  [ Jonas Smedegaard ]
  * Update CDBS usage:
    + Use snippets buildinfo.mk and copyright-check.mk.
    + Use local snippets upstream-tarball.mk and package-relations.mk.
    + Use semi-automated build-dependency resolving.
    + Simplify local rules.
  * Build-depend on autotools-dev and a recent devscripts.
  * Fix tighten build-dependencies on cdbs and debhelper.
  * Drop superfluous *.docs files from source.
  * Install all example code, and skip Makefile.am file (unusable at
    runtime).
  * Fix mangle dversion in watch file.
  * Rewrite copyright file using DEP5 rev. 135 format.
  * Add proper licensing header to rules file.
  * Add myself as uploader.
  * Cosmetics: Use tab (not multiple spaces) in multiline entries of
    control file.
  * Use source format "3.0 'quilt'".
  * Add git-buildpackage config, enabling pristine-tar and signed tags.
  * Bump Standards-Version to 3.8.4.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Mar 2010 05:47:56 +0100

liblo (0.26~repack-1) experimental; urgency=low

  * New upstream release.
    - Repacked because of sourceless binary.
  * Enable static library building
  * Bump Standards-Version (no changes needed)
  * Switch from ${Source-Version} to ${binary:Version}
  * Add misc:Depends to liblo-dev
  * Use Homepage tag instead of putting it in the descriptions
  * Update Maintainer and Uploaders fields.
  * Add Vcs-* tags
  * Add copyright years to notice
  * Use a dpkg symbols file.
  * Upgrade compat level
  * Update licensing information
  * SONAME bump: change package names
  * Add liblo-tools package

 -- Felipe Sateler <fsateler@gmail.com>  Mon, 10 Aug 2009 01:10:43 -0400

liblo (0.25-1) unstable; urgency=low

  * New upstream release.
    - This version fixes the slow lo_server_new(). Closes: #461938.
  * liblo0 description no longer has a UTF8 nobreak char. Closes: #406611.
  * Bump Standards-Version (no changes needed)
  * Switch from ${Source-Version} to ${binary:Version}
  * Clarify copyright notice
  * Add misc:Depends to liblo-dev
  * Use Homepage tag instead of putting it in the descriptions
  * Update Maintainer and Uploaders fields.
  * Add Vcs-* tags
  * Use a dpkg symbols file.
  * Upgrade compat level

 -- Felipe Sateler <fsateler@gmail.com>  Sun, 15 Feb 2009 12:33:02 +1100

liblo (0.23-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Renamed liblo0 for the ldbl128 transition (Closes: #430267).

 -- Luk Claes <luk@debian.org>  Sat, 02 Feb 2008 14:27:36 +0000

liblo (0.23-2.1) unstable; urgency=medium

  * NMU: Providing workaround for config.h.in problem
  * urgency medium, because other packages depend on this getting fixed

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon, 27 Mar 2006 11:07:05 +0200

liblo (0.23-2) unstable; urgency=medium

  * fix VERSION in pkg-config file; closes: Bug#356319, 356687, 356838
    (liblo0-dev: /usr/lib/pkgconfig/liblo.pc is missing the version number)
  * urgency medium so this gets rebuilt quickly.

 -- Robert Jordens <jordens@debian.org>  Tue, 14 Mar 2006 23:13:09 +0100

liblo (0.23-1) unstable; urgency=low

  * new upstream release; closes: Bug#350638
    (liblo: Version 0.23 now available)
  * debian/control: correct homepage URL
  * debian/watch: update

 -- Robert Jordens <jordens@debian.org>  Sat,  4 Mar 2006 16:36:42 +0100


