=== debian/control ===
Source: liblo
Priority: optional
Section: libs
Build-Depends: cdbs,
 autotools-dev,
 debhelper (>= 6),
 dh-buildinfo,
 doxygen-latex
Homepage: http://liblo.sourceforge.net/
Standards-Version: 3.9.1
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Felipe Sateler <fsateler@debian.org>,
 Jonas Smedegaard <dr@jones.dk>
Vcs-Git: git://git.debian.org/git/pkg-multimedia/liblo.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/liblo.git

Package: liblo-dev
Section: libdevel
Architecture: any
Provides: liblo0-dev
Conflicts: liblo0-dev
Replaces: liblo0-dev
Depends: liblo7 (= ${binary:Version}),
 ${misc:Depends}
Description: Lightweight OSC library -- development files
 LibLO is a lightweight, easy to use implementation of the OSC (Open
 Sound Control) protocol (see 
 <http://www.cnmat.berkeley.edu/OpenSoundControl/> for details).
 .
 Open Sound Control (OSC) is a protocol for communication among
 computers, sound synthesizers, and other multimedia devices that is
 optimized for modern networking technology. OSC features:
 .
  * Open-ended, dynamic, URL-style symbolic naming scheme
  * Symbolic and high-resolution numeric argument data
  * Pattern matching language to specify multiple recipients of a
    single message
  * High resolution time tags
  * "Bundles" of messages whose effects must occur simultaneously
  * Query system to dynamically find out the capabilities of an OSC
    server and get documentation
 .
 This package contains headers, documentation and static libraries.

Package: liblo7
Section: libs
Architecture: any
Suggests: liblo-dev
Depends: ${misc:Depends},
 ${shlibs:Depends}
Description: Lightweight OSC library
 LibLO is a lightweight, easy to use implementation of the OSC (Open
 Sound Control) protocol (see 
 <http://www.cnmat.berkeley.edu/OpenSoundControl/> for details).
 .
 Open Sound Control (OSC) is a protocol for communication among
 computers, sound synthesizers, and other multimedia devices that is
 optimized for modern networking technology. OSC features:
 .
  * Open-ended, dynamic, URL-style symbolic naming scheme
  * Symbolic and high-resolution numeric argument data
  * Pattern matching language to specify multiple recipients of a
    single message
  * High resolution time tags
  * "Bundles" of messages whose effects must occur simultaneously
  * Query system to dynamically find out the capabilities of an OSC
    server and get documentation

Package: liblo-tools
Section: utils
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends}
Description: Lightweight OSC library
 LibLO is a lightweight, easy to use implementation of the OSC (Open
 Sound Control) protocol (see
 <http://www.cnmat.berkeley.edu/OpenSoundControl/> for details).
 .
 Open Sound Control (OSC) is a protocol for communication among
 computers, sound synthesizers, and other multimedia devices that is
 optimized for modern networking technology. OSC features:
 .
  * Open-ended, dynamic, URL-style symbolic naming scheme
  * Symbolic and high-resolution numeric argument data
  * Pattern matching language to specify multiple recipients of a
    single message
  * High resolution time tags
  * "Bundles" of messages whose effects must occur simultaneously
  * Query system to dynamically find out the capabilities of an OSC
    server and get documentation
 .
 This package contains the tools included with the library.
