=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2004-2006 Robert Jordens <rjo@gmx.de>
# Copyright © 2008-2009 Felipe Sateler <fsateler@gmail.com>
# Copyright © 2010-2011 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for LibLO
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

# suppress optional build-dependencies
CDBS_BUILD_DEPENDS_rules_upstream-tarball =
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =

# TODO: Check (when temporary doxygen circular dependency is dropped) if
# perhaps only dependency on dexygen itself is satisfactory
CDBS_BUILD_DEPENDS += , doxygen-latex

DEB_UPSTREAM_URL = http://downloads.sourceforge.net/liblo

# FIXME: remove this section before next upstream release (and adjust
# watch file too!), to use default "dfsg" instead
DEB_UPSTREAM_REPACKAGE_TAG = repack

# sourceless binary useful only for windows builds
DEB_UPSTREAM_REPACKAGE_EXCLUDE = build/premake4.exe

#DEB_SHLIBDEPS_INCLUDE = lib/.libs
DEB_CONFIGURE_USER_FLAGS = --enable-static
