## liblo 0.28

=== debian/changelog ===
liblo (0.28-3) unstable; urgency=medium

  * Use dh_auroreconf
  * Pick patches from upstream disabling network tests

 -- Felipe Sateler <fsateler@debian.org>  Mon, 10 Feb 2014 11:48:46 -0300

liblo (0.28-2) unstable; urgency=medium

  * Disable use of SO_REUSEPORT, build-time check does
    not guarantee availability at runtime

 -- Felipe Sateler <fsateler@debian.org>  Tue, 04 Feb 2014 09:50:32 -0300

liblo (0.28-1) unstable; urgency=low

  * New upstream release
    - Add new symbols to symbols file.
  * Bump standards version

 -- Felipe Sateler <fsateler@debian.org>  Fri, 31 Jan 2014 13:22:49 -0300

liblo (0.26~repack-8) unstable; urgency=low

  * Forcibly fail on sparc, doesn't work and never has.
  * Drop build dependency on doxygen-latex

 -- Felipe Sateler <fsateler@debian.org>  Thu, 28 Nov 2013 21:05:36 -0300
