=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Section: libs
 Build-Depends: cdbs,
  autotools-dev,
- debhelper (>= 6),
+ dh-autoreconf,
+ debhelper,
  dh-buildinfo,
- doxygen-latex
+ doxygen
 Homepage: http://liblo.sourceforge.net/
-Standards-Version: 3.9.1
+Standards-Version: 3.9.5
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Felipe Sateler <fsateler@debian.org>,
  Jonas Smedegaard <dr@jones.dk>
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/liblo.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/liblo.git
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/liblo.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/liblo.git
 
 Package: liblo-dev
 Section: libdevel
