=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2004-2006 Robert Jordens <rjo@gmx.de>
# Copyright © 2008-2013 Felipe Sateler <fsateler@debian.org>
# Copyright © 2010-2011 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for LibLO
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk

# suppress optional build-dependencies
CDBS_BUILD_DEPENDS_rules_upstream-tarball =
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =

pre-build::
	test "$(DEB_HOST_ARCH_CPU)" != "sparc"
	test "$(DEB_HOST_ARCH_CPU)" != "sparc64"

CDBS_BUILD_DEPENDS += , doxygen

DEB_UPSTREAM_URL = http://downloads.sourceforge.net/liblo

DEB_UPSTREAM_TARBALL_MD5 = e2a4391a08b49bb316c03e2034e06fa2

#DEB_SHLIBDEPS_INCLUDE = lib/.libs
DEB_CONFIGURE_USER_FLAGS = --enable-static \
			   --disable-network-tests \
			   --enable-tests \
			   --enable-examples
DEB_MAKE_CHECK_TARGET=test
