=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
opts=dversionmangle=s/\~repack.*//,uversionmangle=s/rc/~rc/ \
	http://sf.net/liblo/liblo-(.*)\.tar\.gz
