## liblo 0.29

=== debian/changelog ===
liblo (0.29-1) unstable; urgency=medium

  * New upstream version 0.29
    - Drop all debian patches.
      They were applied upstream
  * Update symbols file for new functions introduced in this release
  * Create README file before running autoreconf, and remove on clean.
    Otherwise autoreconf fails.

 -- Felipe Sateler <fsateler@debian.org>  Fri, 18 Aug 2017 11:12:05 -0300

liblo (0.28-6) unstable; urgency=medium

  * Run cme dpkg fix
  * Remove from copyright file autotools files no longer shipped
  * Switch from CDBS to short-form dh
    - Drop CDBS debian/control generation.
      Use a static file
    - Remove copyright_hints file.
  * Drop Jonas from uploaders. Thanks for all the work!
    It was used by CDBS which we no longer use
  * Bump debhelper compat to 10.
    Drop autoreconf dependencies, since they are now implied
  * Bump standards-version

 -- Felipe Sateler <fsateler@debian.org>  Thu, 10 Aug 2017 20:19:13 -0400

liblo (0.28-5) unstable; urgency=medium

  * Release to unstable
  * Refresh patches with gbp pq
  * Make build reproducible. Thanks Maria Valentina Marin <marivalenm@gmail.com>
    for the patch. (Closes: #789040)
  * Bump standards-version

 -- Felipe Sateler <fsateler@debian.org>  Sun, 05 Jul 2015 17:30:31 -0300

liblo (0.28-4) experimental; urgency=medium

  * Bump debhelper compat level to 9
  * Enable multiarch for the shared library. Closes: #774651
    Thanks to Lennart Sorensen for the patch

 -- Felipe Sateler <fsateler@debian.org>  Tue, 06 Jan 2015 21:28:39 -0300
