=== debian/control ===
--- 
+++ 
@@ -1,28 +1,24 @@
 Source: liblo
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Uploaders: Felipe Sateler <fsateler@debian.org>
+Section: libs
 Priority: optional
-Section: libs
-Build-Depends: cdbs,
- autotools-dev,
- dh-autoreconf,
- debhelper,
- dh-buildinfo,
- doxygen
+Build-Depends: debhelper (>= 10),
+               dh-buildinfo,
+               doxygen
+Standards-Version: 4.0.1
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/liblo.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/liblo.git
 Homepage: http://liblo.sourceforge.net/
-Standards-Version: 3.9.5
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Felipe Sateler <fsateler@debian.org>,
- Jonas Smedegaard <dr@jones.dk>
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/liblo.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/liblo.git
 
 Package: liblo-dev
+Architecture: any
 Section: libdevel
-Architecture: any
+Depends: liblo7 (= ${binary:Version}),
+         ${misc:Depends}
+Conflicts: liblo0-dev
 Provides: liblo0-dev
-Conflicts: liblo0-dev
 Replaces: liblo0-dev
-Depends: liblo7 (= ${binary:Version}),
- ${misc:Depends}
 Description: Lightweight OSC library -- development files
  LibLO is a lightweight, easy to use implementation of the OSC (Open
  Sound Control) protocol (see 
@@ -44,11 +40,13 @@
  This package contains headers, documentation and static libraries.
 
 Package: liblo7
+Architecture: any
+Multi-Arch: same
 Section: libs
-Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Suggests: liblo-dev
-Depends: ${misc:Depends},
- ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: Lightweight OSC library
  LibLO is a lightweight, easy to use implementation of the OSC (Open
  Sound Control) protocol (see 
@@ -68,10 +66,10 @@
     server and get documentation
 
 Package: liblo-tools
+Architecture: any
 Section: utils
-Architecture: any
 Depends: ${misc:Depends},
- ${shlibs:Depends}
+         ${shlibs:Depends}
 Description: Lightweight OSC library
  LibLO is a lightweight, easy to use implementation of the OSC (Open
  Sound Control) protocol (see
