=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

.PHONY: build
%:
	dh $@ --with buildinfo --parallel

build: build-arch

override_dh_autoreconf:
	test -e README || ln -v README.md README
	dh_autoreconf

override_dh_autoreconf_clean:
	rm -f README
	dh_autoreconf_clean

override_dh_auto_configure:
	test "$(DEB_HOST_ARCH_CPU)" != "sparc"
	test "$(DEB_HOST_ARCH_CPU)" != "sparc64"
	dh_auto_configure -- \
		--enable-static \
		--disable-network-tests \
		--enable-tests \
		--enable-examples
