=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=4
opts=dversionmangle=s/\~repack.*//,uversionmangle=s/rc/~rc/ \
	https://github.com/radarsat1/liblo/releases \
        .*/archive/(.*)\.tar\.gz
