## liblo 0.30

=== debian/changelog ===
liblo (0.30-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0

  [ Felipe Sateler ]
  * Add glob to mark liblo.la as not installed in all architectures
  * Remove debian/source/local-options for compatibility with dgit.
    It is also unnecessary since git-buildpackge does the right thing anyway
  * Set upstream page to github.
    Also add upstream metadata file
    Fixes lintian: upstream-metadata-file-is-missing
    See https://lintian.debian.org/tags/upstream-metadata-file-is-missing.html for more details.

 -- Felipe Sateler <fsateler@debian.org>  Thu, 25 Jul 2019 21:01:22 -0400

liblo (0.30-2) unstable; urgency=medium

  * Upload to unstable

 -- Felipe Sateler <fsateler@debian.org>  Sun, 07 Jul 2019 22:35:27 -0400

liblo (0.30-1) experimental; urgency=medium

  [ Stephen Sinclair ]
  * New upstream version 0.30.
  * debian/rules:
    - set hardening options for binaries
      (thanks lintian hardening-no-bindnow)
    - remove --parallel, obsolete on current debhelper
  * debian/copyright:
    - remove copyright for install-sh and compile (not present)
    - add copyright for src/tools/oscsendfile.c
    - remove unused expat license.
  * debian/control:
    - update standards to 4.3.0
    - fix duplicate-short-description for liblo7-tools
    - fix binary-control-field-duplicates-source, remove section for liblo7
  * debian/liblo7.symbols:
    - add new symbols from this release
      + lo_server_thread_new_multicast_iface
      + lo_servers_recv_noblock
      + lo_servers_wait

  [ Felipe Sateler ]
  * Mark Rules-Requires-Root: no as we don't need root for building
  * Bump debhelper compat level to 12
  * Fail build if there are files missing to install.
    Instead of building faulty binaries
  * Upload to experimental due to freeze

 -- Felipe Sateler <fsateler@debian.org>  Sat, 01 Jun 2019 09:36:32 -0400
