=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: liblo
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Felipe Sateler <fsateler@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                dh-buildinfo,
                doxygen
-Standards-Version: 4.0.1
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/liblo.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/liblo.git
-Homepage: http://liblo.sourceforge.net/
+Standards-Version: 4.4.0
+Vcs-Browser: https://salsa.debian.org/multimedia-team/liblo
+Vcs-Git: https://salsa.debian.org/multimedia-team/liblo.git
+Homepage: https://github.com/radarsat1/liblo
+Rules-Requires-Root: no
 
 Package: liblo-dev
 Architecture: any
@@ -21,7 +22,7 @@
 Replaces: liblo0-dev
 Description: Lightweight OSC library -- development files
  LibLO is a lightweight, easy to use implementation of the OSC (Open
- Sound Control) protocol (see 
+ Sound Control) protocol (see
  <http://www.cnmat.berkeley.edu/OpenSoundControl/> for details).
  .
  Open Sound Control (OSC) is a protocol for communication among
@@ -42,14 +43,13 @@
 Package: liblo7
 Architecture: any
 Multi-Arch: same
-Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Suggests: liblo-dev
 Pre-Depends: ${misc:Pre-Depends}
 Description: Lightweight OSC library
  LibLO is a lightweight, easy to use implementation of the OSC (Open
- Sound Control) protocol (see 
+ Sound Control) protocol (see
  <http://www.cnmat.berkeley.edu/OpenSoundControl/> for details).
  .
  Open Sound Control (OSC) is a protocol for communication among
@@ -70,7 +70,7 @@
 Section: utils
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Description: Lightweight OSC library
+Description: Lightweight OSC library (command-line tools)
  LibLO is a lightweight, easy to use implementation of the OSC (Open
  Sound Control) protocol (see
  <http://www.cnmat.berkeley.edu/OpenSoundControl/> for details).
