=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,13 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
 
 .PHONY: build
 %:
-	dh $@ --with buildinfo --parallel
+	dh $@ --with buildinfo
 
 build: build-arch
 
@@ -27,3 +29,5 @@
 		--enable-examples
 
 
+override_dh_missing:
+	dh_missing --fail-missing
