## liblo 0.30-0.0.maemo0

=== debian/changelog ===
liblo (0.30-0.0.maemo0) unstable; urgency=medium

  * merged with mainline and repackaged.
  * http://gitorious.org/liblo

 -- Gary Birkett <liquid@gmail.com>  Thur, 21 Jan 2010 00:00:36 +0000
