=== debian/control ===
Source: liblo
Priority: optional
Section: libs
Maintainer: Robert Jordens <jordens@debian.org>
Build-Depends: debhelper (>= 4.1.67), cdbs, dh-buildinfo, doxygen
Standards-Version: 3.6.1

Package: liblo0-dev
Section: libdevel
Architecture: any
Provides: liblo-dev
Conflicts: liblo-dev
Replaces: liblo-dev
Depends: liblo0ldbl (= ${Source-Version})
Description: Lightweight OSC library -- development files
 This is a lightweight, easy to use implementation of the OSC (Open
 Sound Control) protocol (see 
 <http://www.cnmat.berkeley.edu/OpenSoundControl/> for details).
 .
 Open Sound Control (OSC) is a protocol for communication among
 computers, sound synthesizers, and other multimedia devices that is
 optimized for modern networking technology. OSC features:
 .
  * Open-ended, dynamic, URL-style symbolic naming scheme
  * Symbolic and high-resolution numeric argument data
  * Pattern matching language to specify multiple recipients of a
    single message
  * High resolution time tags
  * "Bundles" of messages whose effects must occur simultaneously
  * Query system to dynamically find out the capabilities of an OSC
    server and get documentation
 .
 Homepage: <http://liblo.sourceforge.net/>
 .
 This package contains headers, documentation and static libraries.

Package: liblo0ldbl
Section: libs
Architecture: any
Suggests: liblo0-dev
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: liblo0
Replaces: liblo0
Description: Lightweight OSC library
 This is a lightweight, easy to use implementation of the OSC (Open
 Sound Control) protocol (see 
 <http://www.cnmat.berkeley.edu/OpenSoundControl/> for details).
 .
 Open Sound Control (OSC) is a protocol for communication among
 computers, sound synthesizers, and other multimedia devices that is
 optimized for modern networking technology. OSC features:
 .
  * Open-ended, dynamic, URL-style symbolic naming scheme
  * Symbolic and high-resolution numeric argument data
  * Pattern matching language to specify multiple recipients of a
    single message
  * High resolution time tags
  * "Bundles" of messages whose effects must occur simultaneously
  * Query system to dynamically find out the capabilities of an OSC
    server and get documentation
 .
 Homepage: <http://liblo.sourceforge.net/>
