=== debian/watch ===
version=3
http://sf.net/liblo/liblo-(.*)\.tar\.gz
